/*
This is a part of the IconDesk source code.

Copyright (C) 2003 Erik Christiansson, aka Sci
www.alphafish.com
erik@alphafish.com

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#ifndef __PIDL_H_
#define __PIDL_H_

#include <shlobj.h>
#include <malloc.h>

LPITEMIDLIST PIDLCopy(LPCITEMIDLIST pidl, UINT cb = -1);
LPBYTE PIDLGetPos(LPCITEMIDLIST pidl, int nPos);
LPITEMIDLIST PIDLAppend(LPCITEMIDLIST pidlBase, LPCITEMIDLIST pidlAdd, LPMALLOC pMalloc);
UINT PIDLGetItemCount(LPCITEMIDLIST pidl);
UINT PIDLGetSize(LPCITEMIDLIST pidl);
void PIDLFreeArray(LPITEMIDLIST* pidlArray);
LPITEMIDLIST PIDLGetNextItem(LPCITEMIDLIST pidl);
LPITEMIDLIST PIDLCopyFirst(LPITEMIDLIST pidl);
//LPITEMIDLIST PIDLGetParent(LPITEMIDLIST pidl);
//LPITEMIDLIST PIDLCopyLast(LPITEMIDLIST pidl);

#endif//__PIDL_H_